KateBufBlockList Class Reference

`#include <katebuffer.h>`

## Public Member Functions

| KateBufBlockList ()
uint | count () const
KateBufBlock * | first ()
KateBufBlock * | last ()
bool | isFirst (KateBufBlock *buf)
bool | isLast (KateBufBlock *buf)
void | append (KateBufBlock *buf)

## Static Public Member Functions

static void | remove (KateBufBlock *buf)

## Detailed Description

list which allows O(1) inserts/removes will not delete the elements on remove will use the next/prevNode pointers in the KateBufBlocks ! internal use: loaded/clean/dirty block lists

Author
  Christoph Cullmann cullm.nosp@m.ann@.nosp@m.kde.o.nosp@m.rg

Definition at line 248 of file katebuffer.h.

## Constructor & Destructor Documentation

KateBufBlockList::KateBufBlockList | ( |  | ) |

Default Constructor.

Definition at line 1582 of file katebuffer.cpp.

## Member Function Documentation

void KateBufBlockList::append | ( | KateBufBlock * | buf | ) |

append a block to this list ! will remove it from the list it belonged before !

Parameters

  buf | block to append

Definition at line 1589 of file katebuffer.cpp.

uint KateBufBlockList::count | ( |  | ) | const

inline

count of blocks in this list

Returns
  count of blocks

Definition at line 261 of file katebuffer.h.

KateBufBlock* KateBufBlockList::first | ( |  | ) |

inline

first block in this list or 0

Returns
  head of list

Definition at line 267 of file katebuffer.h.

bool KateBufBlockList::isFirst | ( | KateBufBlock * | buf | ) |

inline

is buf the last block?

Parameters

  buf | block to test

Returns
  is this block the first one?

Definition at line 280 of file katebuffer.h.

bool KateBufBlockList::isLast | ( | KateBufBlock * | buf | ) |

inline

is buf the last block?

Parameters

  buf | block to test

Returns
  is this block the last one?

Definition at line 287 of file katebuffer.h.

KateBufBlock* KateBufBlockList::last | ( |  | ) |

inline

last block in this list or 0

Returns
  end of list

Definition at line 273 of file katebuffer.h.

static void KateBufBlockList::remove | ( | KateBufBlock * | buf | ) |

inline static

remove the block from the list it belongs to !

Parameters

  buf | block to remove

Definition at line 300 of file katebuffer.h.

The documentation for this class was generated from the following files:

- katebuffer.h
- katebuffer.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys